import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? g(r, s) : r, n = c.length - 1, p; n >= 0; n--)
    (p = c[n]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && u(r, s, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--menuLarge", this.class = "c-pieIcon c-pieIcon--menuLarge", this.name = "IconMenuLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--menuLarge"><path d="M28.25 9H3.75V7.25h24.5V9Zm0 14H3.75v1.75h24.5V23Zm0-7.875H3.75v1.75h24.5v-1.75Z"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  h("icon-menu-large")
], o);
export {
  o as IconMenuLarge
};
